#!/bin/bash

tag=v1.1.0

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone git://github.com/jaredhanson/passport-oauth2.git
cd passport-oauth2
git archive --prefix="test/" --format=tar tags/${tag}:test/ \
    | bzip2 > "$pwd"/passport-oauth2-tests-${tag}.tar.bz2
popd
